# SYNC_CLIENT

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO
AUTHORS

## NAME

sync_client − client side of the synchronization (replication) engine

## SYNOPSIS

sync_client [ −v ] [ −l ] [ −z ] [ −C config-file ] [ −S servername ]
[ −f input-file ] [ −F shutdown_file ] [ −w wait_interval ]
[ −t timeout ] [ −d delay ] [ −r ] [ −u ] [ −m ] [ −A ]
[ −s ] objects...

## DESCRIPTION

sync_client is the client side of the replication system. It runs on the client (master) system and connects to the target (replica) system and generates an appropriate sequence of transactions to synchronize the replica system with the master system.

## OPTIONS

| −v |  | Verbose mode. Use twice (-v -v) to log all protocol traffic to stderr.
| −l |  | Verbose logging mode.
| −o |  | Only attempt to connect to the backend server once rather than waiting up to 1000 seconds before giving up.
| −z |  | Require compression. The replication protocol will always try to enable deflate compression if both ends support it. Set this flag when you want to abort if compression is not available.

−C config-file

Read configuration options from config-file.

−S servername

Tells sync_client which server to communicate with. Overrides the sync_host configuration option.

−f input-file

In mailbox or user replication mode: provides list of users or mailboxes to replicate. In rolling replication mode, specifies an alternate log file (sync_client will exit after processing the log file).

−F shutdown-file

Rolling replication checks for this file at the end of each replication cycle and shuts down if it is present. Used to request a nice clean shutdown at the first convenient point. The file is removed on shutdown. Overrides sync_shutdown_file option in imapd.conf

−w interval

Wait this long before starting. This option is typically used so that we can attach a debugger to one end of the replication system or the other.

−t timeout

Timeout for single replication run in rolling replication. sync_client will negotiate a restart after this many seconds. Default: 600 seconds

−d delay

Minimum delay between replication runs in rolling replication mode. Larger values provide better efficiency as transactions can be merged. Smaller values mean that the replica system is more up to date and that you don’t end up with large blocks of replication transactions as a single group. Default: 3 seconds.

| −r |  | Rolling (repeat) replication mode. Pick up a list of actions recorded by the lmtpd(8), imapd(8), popd(8) and nntpd(8) daemons from the file specified in sync_log_file. Repeat until sync_shutdown_file appears.
| −n |  | Use the named channel for rolling replication mode. If multiple channels are specified in sync_log_channels then use one of them. This option is probably best combined with −S to connect to a different server with each channel.
| −u |  | User mode. Remaining arguments are list of users who should be replicated.
| −A |  | All users mode. Sync every user on the server to the replica (doesn’t do non-user mailboxes at all... this could be considered a bug and maybe it should do those mailboxes independently)
| −m |  | Mailbox mode. Remaining arguments are list of mailboxes which should be replicated.
| −s |  | Sieve mode. Remaining arguments are list of users whose Sieve files should be replicated. Principally used for debugging purposes: not exposed to sync_client(8).

## FILES

/etc/imapd.conf

## SEE ALSO

sync_server(8)

## AUTHORS

David Carter (dpc22@cam.ac.uk), Ken Murchison (ken@oceana.com)